CentOS 8 : gcc-toolset-11-gcc (CESA-2021: 4586)

high Nessus プラグイン ID 155561

概要

リモートの CentOS ホストにセキュリティ更新プログラムがありません。

説明

リモートの CentOS Linux 8 ホストにインストールされているパッケージは、CESA-2021: 4586 のアドバイザリに記載されている脆弱性の影響を受けます。

- 開発者環境: Unicodeの双方向(BiDi)オーバーライド文字により、トロイの木馬ソース攻撃が引き起こされる可能性があります(CVE-2021-42574)

Nessus はこの問題をテストしておらず、代わりにアプリケーションが自己報告するバージョン番号にのみ頼っていることに注意してください。

ソリューション

影響を受けるパッケージを更新してください。

関連情報

https://access.redhat.com/errata/RHSA-2021:4586

プラグインの詳細

深刻度: High

ID: 155561

ファイル名: centos8_RHSA-2021-4586.nasl

バージョン: 1.2

タイプ: local

エージェント: unix

公開日: 2021/11/18

更新日: 2021/11/18

サポートされているセンサー: Agentless Assessment, Frictionless Assessment Agent, Frictionless Assessment AWS, Frictionless Assessment Azure

リスク情報

VPR

リスクファクター: High

スコア: 8.1

CVSS v2

リスクファクター: Medium

Base Score: 5.1

Temporal Score: 3.8

ベクトル: AV:N/AC:H/Au:N/C:P/I:P/A:P

現状ベクトル: E:U/RL:OF/RC:C

CVSS スコアのソース: CVE-2021-42574

CVSS v3

リスクファクター: High

Base Score: 8.3

Temporal Score: 7.2

ベクトル: CVSS:3.0/AV:N/AC:H/PR:N/UI:R/S:C/C:H/I:H/A:H

現状ベクトル: E:U/RL:O/RC:C

脆弱性情報

CPE: cpe:/o:centos:centos:8, p-cpe:/a:centos:centos:gcc-toolset-11-gcc, p-cpe:/a:centos:centos:gcc-toolset-11-gcc-c%2b%2b, p-cpe:/a:centos:centos:gcc-toolset-11-gcc-gdb-plugin, p-cpe:/a:centos:centos:gcc-toolset-11-gcc-gfortran, p-cpe:/a:centos:centos:gcc-toolset-11-gcc-plugin-devel, p-cpe:/a:centos:centos:gcc-toolset-11-libasan-devel, p-cpe:/a:centos:centos:gcc-toolset-11-libatomic-devel, p-cpe:/a:centos:centos:gcc-toolset-11-libgccjit, p-cpe:/a:centos:centos:gcc-toolset-11-libgccjit-devel, p-cpe:/a:centos:centos:gcc-toolset-11-libgccjit-docs, p-cpe:/a:centos:centos:gcc-toolset-11-libitm-devel, p-cpe:/a:centos:centos:gcc-toolset-11-liblsan-devel, p-cpe:/a:centos:centos:gcc-toolset-11-libquadmath-devel, p-cpe:/a:centos:centos:gcc-toolset-11-libstdc%2b%2b-devel, p-cpe:/a:centos:centos:gcc-toolset-11-libstdc%2b%2b-docs, p-cpe:/a:centos:centos:gcc-toolset-11-libtsan-devel, p-cpe:/a:centos:centos:gcc-toolset-11-libubsan-devel, p-cpe:/a:centos:centos:libasan6

必要な KB アイテム: Host/local_checks_enabled, Host/CentOS/release, Host/CentOS/rpm-list, Host/cpu

エクスプロイトの容易さ: No known exploits are available

パッチ公開日: 2021/11/10

脆弱性公開日: 2021/11/1

参照情報

CVE: CVE-2021-42574

RHSA: 2021:4586

IAVA: 2021-A-0528